-- Hellfire
-- Copyright (C) 2011 Sean "Chezzo" Osman sean@chezzo.com
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

local ActorTalents = require("engine.interface.ActorTalents")
local Textzone = require "engine.ui.Textzone"


newBirthDescriptor{
	type = "base",
	name = "base",
	desc = {
	},
	experience = 1.0,

   body = { INVEN = 80, MELEE = 1, RANGED = 1, BODY = 1, HEAD = 1 },
   
	copy = {
		max_level = 50,
		lite = 5,
		max_life = 100,
		image = "mushroom/pcs/Sam.png",
		crit_chance = 0,
		anim = {speed=0.1, loop=-1, max=16},
		save_hotkeys = true,
		hotkey_page = 1,
      resolvers.equip{
            {type="melee", subtype="knife", name="blunt knife"},
			{type="gun", name="shotgun"},
		},
		--resolvers.generic(function(self) self:birth_create_alchemist_golem() end),
		--birth_create_alchemist_golem = function(self)
		--	local t = self:getTalentFromId(self.T_MAKE_MAC)
		--	t.action(self, t)
		--	end,
			
         
      resolvers.inventory{
            {type = "stimulant", name="rat_heart"},
			{type="ammo", subtype="shotgun", name="shells"},
            {type="ammo", subtype="shotgun", name="shells"},
            {type="ammo", subtype="shotgun", name="shells"},
			{type="ammo", subtype="shotgun", name="buckshot"},
			{type="gun", name="panzerfaust"},
        },
	},
	talents = {
		[ActorTalents.T_KICK]=1,
		[ActorTalents.T_RANGED_SHOT]=1,
		[ActorTalents.T_BUCK_SHOT]=1,
		[ActorTalents.T_OPEN_INVENTORY]=1,
		[ActorTalents.T_NEXT_PLAYER]=1,
		[ActorTalents.T_END_TURN]=1,
		[ActorTalents.T_PICK_UP]=1,
		[ActorTalents.T_CHANGE_LEVEL]=1,
		--[ActorTalents.T_MAKE_MAC]=1,
		--skull enhancement
		--[ActorTalents.T_BONE_MERGING]=1,
		--[ActorTalents.T_METALIC_ENHANCMENT]=1,
		--[ActorTalents.T_GEM_ENHANCMENT]=1,
	},
}

newBirthDescriptor{
	type = "role",
	name = "Rogue",
	desc =
	{
		"I am Sam, a construction worker in Hell who only recently is completely screwed. I gotta get the hell outta here.",
	},
}