-- Hellfire
-- Copyright (C) 2013 Sean "Chezzo" Osman
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


newEntity{
    define_as = "BASE_CUTTER",
    slot = "MELEE",
    type = "melee", subtype="knife", image = "mushroom/objects/handaxe.png",
    display = '', color=colors.SLATE,
    rarity = 8,
    encumber = 0,
    name = "knife",
    desc = [[A short knife.]],
}

newEntity{ base = "BASE_CUTTER",
    name = "dagger", 

    wielder = {
        stamina_cost = 2,
        combat = {dam = resolvers.rngavg(2,3),
     crit_chance = resolvers.rngavg(5,10),},
    },
    
   
}

newEntity{ base = "BASE_CUTTER",
    name = "switchblade",
    rarity = 14,

    wielder = {
        stamina_cost = 2,
        combat = {dam = resolvers.rngavg(3,5),
     crit_chance = resolvers.rngavg(8,15),},
    },


}

newEntity{ base = "BASE_CUTTER",
    name = "machete",
    rarity = 45,
    color=colors.LIGHT_SLATE,

    wielder = {
        stamina_cost = resolvers.rngavg(5,7),
        combat = {dam = resolvers.rngavg(8,12),
     crit_chance = resolvers.rngavg(20,35),},
    },

     

}

newEntity{
    define_as = "BASE_CLUB",
    slot = "MELEE",
    type = "melee", subtype="bludgeon", 
    display = ")", color=colors.SLATE, image = "mushroom/objects/handaxe.png",
    rarity = 5,
    encumber = 0,
    name = "club",
    desc = [[A simple bludgeoning instrument.]],
}

newEntity{ base = "BASE_CLUB",
    name = "truncheon",
    rarity = 10, color=colors.DARK_GREY,

    wielder = {
        stamina_cost = 4,
        combat ={dam = resolvers.rngavg(4,5),
     crit_chance = resolvers.rngavg(5,12),},
    },

     

}

newEntity{ base = "BASE_CLUB",
    name = "lead pipe",
    rarity = 3,
    rarity = 30,

    wielder = {
        stamina_cost = resolvers.rngavg(7,9),
        combat = {dam = resolvers.rngavg(6,10),
     crit_chance = resolvers.rngavg(10,25),},
    },
}

newEntity{
    define_as = "BASE_CROWBAR",
    slot = "MELEE",
    type = "melee", subtype="crowbar",
    display = '', color=colors.CRIMSON, image = "mushroom/objects/handaxe.png",
    rarity = 45,
    encumber = 0,
    name = "crowbar",
    desc = [[A stiff metal bar with a sharp bend on the end.]],

    wielder = {
        stamina_cost = resolvers.rngavg(7,11),
        combat = {dam = resolvers.rngavg(7,11),
     crit_chance = resolvers.rngavg(25,50),},
    },
}

newEntity{
    define_as = "BASE_BODY",
    slot = "BODY",
    type = "body armour",
    display = "]", color=colors.SLATE,
	image = "mushroom/objects/armor.png",
    rarity = 15,
    encumber = 0,
    name = "a form of protection",
    desc = [[Simple protection for the flesh.]],
}

newEntity{ base = "BASE_BODY",
    name = "leather jacket",
    color=colors.DARK_GREY,

    wielder = {
        combat_armor = resolvers.rngavg(2,3),
        stamina_cost = resolvers.rngavg(1,2),
    },
}

newEntity{ base = "BASE_BODY",
    name = "metal-plated jacket",

    color=colors.GREY,
    rarity = 25,
    desc = [[Someone seems to have sewn metal plates into the lining of the jacket.  It's very heavy and cumbersome, but perhaps could add some extra protection.]],
    wielder = {
        combat_armor = resolvers.rngavg(4,6),
        stamina_cost = resolvers.rngavg(4,7),
    },
}

newEntity{ base = "BASE_BODY",
    name = "studded jacket",
    rarity = 20,

    wielder = {
        combat_armor = resolvers.rngavg(3,4),
        stamina_cost = resolvers.rngavg(2,3),
    },
}

newEntity{
    define_as = "BASE_HELM",
    slot = "HEAD",
    type = "helmet",
    display = "^",
	image = "mushroom/objects/helmet.png",
    rarity = 15,
    encumber = 0,
    name = "a form of head protection",
    desc = [[Protection of the head.]],
}

newEntity{ base = "BASE_HELM",
    name = "aviator helmet", subtype = "leather",
 color=colors.UMBER,
    desc = [[A thick leather jerkin, lined with fur, with large goggles attached at the front.]],
    wielder = {
        crit_defence = resolvers.rngavg(8,12),
    },
}

newEntity{ base = "BASE_HELM",
    name = "motorcycle helmet", subtype = "plastic",
 color=colors.DARK_GREY,
    rarity = 60,
    desc = [[A large, hard helmet with a thick visor to cover the yes.]],
    wielder = {
        crit_defence = resolvers.rngavg(20,35),
        lite = -2,
    },
}

newEntity{ base = "BASE_HELM",
    name = "hardhat", subtype = "basic",

    color = colors.YELLOW,
    desc = [[A bright yellow hat made of hard plastic.]],
    wielder = {
        crit_defence = resolvers.rngavg(3,5),
    },
}


newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "stims",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = true,
	desc = [[A hypodermic syringe filled with a regenerative serum.]],
	use_simple = { name = "restore +15 life, +2 stamina", use = function(self, who)
		game.logSeen(who, "I slip the heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "vampire_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The still beating heart of a vampire.]],

	use_simple = { name = "restore +15 life, +1 strength, +1 health, -2 aim", use = function(self, who)
		game.logSeen(who, "I slip the vampire heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "zombie_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The never beating heart of a zombie.]],

	use_simple = { name = "restore +15 life, +2 strength, -1 health, -1 aim", use = function(self, who)
		game.logSeen(who, "I slip the zombie heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "rat_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = 99,
   stacking = true,
	desc = [[The still beating heart of a ratman.]],

	use_simple = { name = "restore +15 life, -1 strength, -1 health, +2 aim", use = function(self, who)
		game.logSeen(self, "I slip the ratman heart into my mouth and begin to chew.")
	  --mod.class.Actor.heal(15, self)
	  who.life = who.life + 5
	  who.stamina = who.stamina + 20
      --self:mod.class.Actor.onStatChange(self.STAT_STRENGTH, 1)
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "wolf_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = 99,
	desc = [[The still beating heart of a wolfman.]],
	rarity = false,
	use_simple = { name = "restore +15 life, +1 strength, -2 health, +1 aim", use = function(self, who)
		game.logSeen(who, "I slip the wolfman heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "pumpkin_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = 99,
	desc = [[The still beating heart of a wolfman.]],
	rarity = false,
	use_simple = { name = "restore +15 life, +1 strength, -2 health, +1 aim", use = function(self, who)
		game.logSeen(who, "I slip the pumpkin heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "wolf_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = 99,
	desc = [[The still beating heart of a wolfman.]],
	rarity = false,
	use_simple = { name = "restore +15 life, +1 strength, -2 health, +1 aim", use = function(self, who)
		game.logSeen(who, "I slip the wolfman heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}



newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "bunny_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The still beating heart of a devil bunny.]],

	use_simple = { name = "restore +15 life, +1 strength, +1 health, -1 aim", use = function(self, who)
		game.logSeen(who, "I slip the bunny heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{ base = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "skeleton_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The imaginary heart of a skeleton.]],

	use_simple = { name = "restore +5 life, +1 strength, +1 health, -1 aim", use = function(self, who)
		game.logSeen(who, "I slip the imaginary skeleton heart into my mouth and begin to chew.")
		who.life = who.life + 5
      who.stamina = who.stamina + 20
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
    define_as = "BASE_AMMO",
    type = "ammo", subtype = "shotgun",
    display = "", color = colors.GREY,
	image="mushroom/objects/ammo.png",
    level_range = {1,10},
    rarity = 3,
    encumber = 0,
    name = "shells",
    stacking = true,
    desc = [[A few shells to go in your shotgun.]],
    use_simple = { name = "reload a shotgun", use = function(self, who)
		local weapon = who:getInven("RANGED")[1]
      if weapon.multicharge < 6 then
         game.logSeen(who, "I slide six slugs into the shotgun.")
         weapon.multicharge = weapon.multicharge + 6
         return "destroy", true
      end
	 end},
}

newEntity{
    define_as = "BASE_RANGED",
    slot = "RANGED",
    type = "gun", subtype = "panzerfaust",
    display = "", color = colors.GREY,
	image="mushroom/objects/rocket.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    damtype = "SHOOT",
    name = "panzerfaust",
    combat = {
      range = 50,
      dam = 250,
    },
    multicharge = 1,
    desc = [[A panzerfaust is a single use rocket. It's german for -kicking freaking ass-.]],
}

newEntity{
    define_as = "BASE_MAGICGUN",
    type = "gun", subtype = "wand",
    display = "", color = colors.GREY,
	image="mushroom/objects/magicgun.png",
    level_range = {1,10},
    rarity = false,
    encumber = 0,
    damtype = "SHOOT",
    name = "magicgun",
    combat = {
      range = 50,
      dam = 250,
    },
    multicharge = 1,
    desc = [[A magic gun.]],
}

newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Light",
    rarity = 5,
    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Nothing",
    rarity = 75,
    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Digging",
    rarity = 45,
    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Enlightenment",
    rarity = 85,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Locking",
    rarity = 75,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Magic Missile",
    rarity = 50,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Make Invisible",
    rarity = 55,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Opening",
    rarity = 75,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Probing",
    rarity = 70,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Secret Door Detection",
    rarity = 50,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Slow Monster",
    rarity = 50,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Speed Monster",
    rarity = 50,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Striking",
    rarity = 25,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Undead Turning",
    rarity = 50,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Cold",
    rarity = 60,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Fire",
    rarity = 60,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Lightning",
    rarity = 60,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Sleep",
    rarity = 50,

    }
	
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Cancellation",
    rarity = 55,

    }
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Create Monster",
    rarity = 55,

    }
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Polymorph",
    rarity = 55,

    }
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Teleportation",
    rarity = 55,

    }
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Death",
    rarity = 95,

    }
newEntity{ base = "BASE_MAGICGUN",
    name = "Magicgun of Wishing",
    rarity = 95,

    }

newEntity{
define_as = "BASE_CIGAR",
    type = "gun", subtype = "scroll",
    display = "", color = colors.GREY,
	image="mushroom/objects/scroll.png",
    level_range = {1,10},
    rarity = false,
    encumber = 0,
    damtype = "SHOOT",
    name = "scroll",
    desc = [[A cigar.]],
	
--newEntity{
  --  define_as = "BASE_CIGAR",
    --type = "gun", subtype = "scroll",
    --display = "", color = colors.GREY,
	--image="mushroom/objects/scroll.png",
    --level_range = {1,10},
    --rarity = 5,
    --encumber = 0,
    --desc = [[A cigar.]],
		--	use_simple = { name = "create a magical effect. Labeled: READ ME", use = function(self, who)
		--game.logSeen(who, "That was a cigar of .")
			--Take out and do.
      --who.life = who.life + 15
      --who.stamina = who.stamina + 2
	--return "destroy", true
	--end},
}

newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: FOOBIE BLETCH.",
    rarity = 5,

	use_simple = { name = "create a magical effect. Labeled: FOOBIE BLETCH", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: READ ME.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: READ ME", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
			--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: GARVEN DEH.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: GARVEN DEH", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
		--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	  return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: TEMOV.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: TEMOV", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	  return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: VELOX NEB.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: VELOX NEB", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: HACKEM MUCHE.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: HACKEM MUCHE", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: VE FORBRYDERNE.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: VE FORBRYDERNE", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: KIRJE.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: KIRJE", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: ANDOVA BEGARIN.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: ANDOVA BEGARIN", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: DUAM XNAHT.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: DUAM XNAHT", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")	
	--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: ELAM EBOW.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: ELAM EBOW", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: KERNOD WEL.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: KERNOD WEL", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: YUM YUM.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: YUM YUM", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: THARR.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: THARR", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: VENZAR BORGAVVE.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: VENZAR BORGAVVE", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: VERR YED HORRE.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: VERR YED HORRE", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: ELBIB YLOH.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: ELBIB YLOH", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: PRIRUTSENIE.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: PRIRUTSENIE", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: LEP GEX VEN ZEA.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: LEP GEX VEN ZEA", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: DAIYEN FOOELS.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: DAIYEN FOOELS", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: PRATYAVAYAH.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: PRATYAVAYAH", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: XIXAXA XOXAXA XUXAXA.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: XIXAXA XOXAXA XUXAXA", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: NR 9.",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: NR 9", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: JUYED AWK YACC",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: JUYED AWK YACC", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_CIGAR",
    name = "A cigar labeled: ZELGO MER",
    rarity = 5,

		use_simple = { name = "create a magical effect. Labeled: ZELGO MER", use = function(self, who)
		game.logSeen(who, "That was a cigar of .")
		--Take out and do.
      who.life = who.life + 15
	return "destroy", true
	end},
    }
	
	newEntity{
define_as = "BASE_BOOZE",
    type = "gun", subtype = "potion",
    display = "", color = colors.GREY,
    level_range = {1,10},
    rarity = false,
    encumber = 0,
    damtype = "SHOOT",
    name = "scroll",
    desc = [[A bottle of booze. Down here, it'll probably have some sort of magical effect.]],
}

newEntity{ base = "BASE_BOOZE",
    name = "A brown bottle of booze.",
    rarity = 5,
	image="mushroom/objects/object.pot_booze.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of white lightning. I'm talkin' moonshine, boy. You is drunk!")
		--Take out and do.
      who.life = who.life - 5
      who.stamina = who.stamina + 20
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A dark green bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_fruit_juice.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Shirley Temple. The adorable child actress, not the beverage.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A magenta bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_see_invisible.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of See Invisible Artois.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A effervescent bottle of booze.",
    rarity = 5,
	image="mushroom/objects/object.pot_sickness.png",
	use_simple = { name = "create a magical effect. Labeled: FOOBIE BLETCH", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Drain Cleaner. You can't feel the right side of your body.")
	--Take out and do.
      who.life = who.life - 50
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A orange bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_confusion.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Rum and Confusion.")
	--Take out and do.
      who.life = who.life - 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }newEntity{ base = "BASE_BOOZE",
    name = "A puce bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_extra_healing.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Malibu Extra Healing.")
	--Take out and do.
      who.life = who.life + 75
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A sky blue bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_hallucination.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "Those were LSD drops. At first you resisted. But then it evolved. Now it evolves for you.")
	--Take out and do.
      who.life = who.life - 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A purple-red bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_healing.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Healing Martini.")
	--Take out and do.
      who.life = who.life - 50
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A clear bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_water.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Holy Water.")
	--Take out and do.
      who.life = who.life - 50
      who.stamina = who.stamina + 50
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A clear bottle of booze.",
    rarity = 5,
    image="mushroom/objects/object.pot_water.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Unholy Water. You feel like burning down a church.")
	--Take out and do.
      who.life = who.life - 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }newEntity{ base = "BASE_BOOZE",
    name = "A pink bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_restore_ability.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Restore Ability lager.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A fizzy bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_sleep.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle that made you sleep. Aren't they all though?")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A yellow bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_blindness.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Blindness and Tan.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A milky bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_gain_energy.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Gain Energy and Tonic.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A brilliant blue bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_invisibility.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Invisibility Cider.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }newEntity{ base = "BASE_BOOZE",
    name = "A bubbly bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_monster_detection.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Monster Detection Hard Lemonade.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A murky bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_object_detection.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Object Detection screwdrivers.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A swirly bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_enlightenment.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Enlightenment Vodka.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A black bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_full_healing.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Full Healing whiskey.")
	--Take out and do.
      who.life = who.life + 100
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A cyan bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_levitation.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Levitationade.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }newEntity{ base = "BASE_BOOZE",
    name = "A golden bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_polymorph.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Poly Juice.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A emerald bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_speed.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of speed. You told us you would quit doing that. Your mother and I are worried.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A white bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_acid.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of acid. The burning a hole through your throat kind.")
	--Take out and do.
      who.life = who.life - 50
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A dark bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_oil.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of oil. Everything goes down a little easier. And then it all comes back up.")
	--Take out and do.
      who.life = who.life + 1
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A ruby bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_gain_ability.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Gain Ability and Tonic.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "An angelic bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_gain_level.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Gain Level and Tonic.")
	--Take out and do.
      who.life = who.life + 15
      who.stamina = who.stamina + 2
	return "destroy", true
	end},
    }
	
newEntity{ base = "BASE_BOOZE",
    name = "A smelly bottle of booze.",
    rarity = 5,
		image="mushroom/objects/object.pot_paralysis.png",
	use_simple = { name = "create a magical effect.", use = function(self, who)
		game.logSeen(who, "You drink a bottle of Paralysis Tea.")
	--Take out and do.
      who.life = who.life - 15
      who.stamina = who.stamina - 100
	return "destroy", true
	end},
    }